Skip to:

bbPress database downgrade tool 1.1/1.0 -> 0.9 (testers needed)

  • _ck_


    I should have a database downgrade tool finished by the end of this weekend.

    I need a few testers who know what they are doing and can backup their database (and restore it) if something goes wrong.

    Technically you’d have to clone the database anyway since you’d want to install bbPress 0.9 into another directory, at least for testing purposes. But that requires you to override some settings via bb-config.php to tell it where everything is, or re-run the install routine for 0.9

    Obviously this does not do anything magical to your plugins, they have to be backwards compatible with 0.9 also (if you are using mine in 1.x successfully, they will work in 0.9 but I can’t speak for others).

Viewing 5 replies - 1 through 5 (of 5 total)

  • citizenkeith


    I’d love to help out. I’m capable of backing up my database and restoring it. :=)



    This utility has been delayed a bit as a few things came up this weekend but I fully intend to finish it soon.

    Thanks for volunteering citizenkeith, I’ll keep you posted.



    I am with you _ck_

    I would love to see bbPress 0.9 becoming as one of the best choice for standalone forum script.

    Hi _ck_, please need urgency your downgrade tool



    Downgrade tool is on permanent delay.

    Sorry, I simply do not have the time.

    Restore backups from before upgrading 0.9 to 1.x

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.
Skip to toolbar